function fig = ACT3p_data()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

load ACT3p_data

h0 = figure('Color',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'Colormap',mat0, ...
	'CreateFcn',mat1, ...
	'MenuBar','none', ...
	'Name','3 position actuator Block Parameters', ...
	'NumberTitle','off', ...
	'PointerShapeCData',mat2, ...
	'Position',[47 184 723 367], ...
	'Tag','Fig1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback',mat3, ...
	'ListboxTop',0, ...
	'Position',[236.4827586206897 14.27586206896552 63.93103448275863 22.96551724137932], ...
	'String','Close', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','edHnd=findobj(gcf,''Tag'',''Fig1'');close(edHnd)', ...
	'ListboxTop',0, ...
	'Position',[87.51724137931036 14.27586206896552 64.55172413793105 22.96551724137932], ...
	'String','Cancel', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback',mat4, ...
	'ListboxTop',0, ...
	'Position',mat5, ...
	'String','Apply', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','web([''file:///''which(''help_act3p.html'')]);', ...
	'ListboxTop',0, ...
	'Position',[161.3793103448276 14.27586206896552 64.55172413793105 22.96551724137932], ...
	'String','Help', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'ListboxTop',0, ...
	'Position',mat6, ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat7, ...
	'ListboxTop',0, ...
	'Position',mat8, ...
	'Style','edit', ...
	'Tag','Ed1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat9, ...
	'ListboxTop',0, ...
	'Position',[155.7931034482759 151.448275862069 52.75862068965518 13.03448275862069], ...
	'Style','edit', ...
	'Tag','Ed2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat10, ...
	'String','Piston lower input area  [m2]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[15.51724137931035 170.0689655172414 129.7241379310345 12.41379310344828], ...
	'String','Piston larger input area [m2]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',mat11, ...
	'String','Parameters', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat12, ...
	'String','Piston minimum stroke [m]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat13, ...
	'String','Piston maximum stroke  [m]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat14, ...
	'String','Piston mass  [kg]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat15, ...
	'String','Piston outlet lost volume  [m3]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat16, ...
	'String','Piston intlet lost volume  [m3]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat17, ...
	'String','Piston spring preload  [N]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat18, ...
	'String','Piston spring stiffness  [N/m]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat19, ...
	'String','Piston larger output area [m2]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat20, ...
	'String','Piston lower output area [m2]]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat21, ...
	'ListboxTop',0, ...
	'Position',[155.7931034482759 129.7241379310345 54.00000000000001 13.03448275862069], ...
	'Style','edit', ...
	'Tag','Ed10');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat22, ...
	'ListboxTop',0, ...
	'Position',[155.7931034482759 110.4827586206897 53.37931034482759 12.41379310344828], ...
	'Style','edit', ...
	'Tag','Ed11');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat23, ...
	'ListboxTop',0, ...
	'Position',[156.4137931034483 87.51724137931036 52.75862068965518 13.03448275862069], ...
	'Style','edit', ...
	'Tag','Ed3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat24, ...
	'ListboxTop',0, ...
	'Position',[155.7931034482759 67.0344827586207 52.75862068965518 13.03448275862069], ...
	'Style','edit', ...
	'Tag','Ed4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat25, ...
	'ListboxTop',0, ...
	'Position',[372.4137931034484 173.1724137931035 52.75862068965518 13.03448275862069], ...
	'Style','edit', ...
	'Tag','Ed5');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat26, ...
	'ListboxTop',0, ...
	'Position',mat27, ...
	'Style','edit', ...
	'Tag','Ed6');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat28, ...
	'ListboxTop',0, ...
	'Position',[373.0344827586208 129.1034482758621 52.75862068965518 13.03448275862069], ...
	'Style','edit', ...
	'Tag','Ed7');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat29, ...
	'ListboxTop',0, ...
	'Position',mat30, ...
	'Style','edit', ...
	'Tag','Ed8');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat31, ...
	'ListboxTop',0, ...
	'Position',[373.6551724137932 87.51724137931036 52.75862068965518 13.03448275862069], ...
	'Style','edit', ...
	'Tag','Ed9');
if nargout > 0, fig = h0; end
