function fig = ACTs_data_wf()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
% This problem is solved by saving the output as a FIG-file.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.
% 
% NOTE: certain newer features in MATLAB may not have been saved in this
% M-file due to limitations of this format, which has been superseded by
% FIG-files.  Figures which have been annotated using the plot editor tools
% are incompatible with the M-file/MAT-file format, and should be saved as
% FIG-files.

load ACTs_data_wf

h0 = figure('Color',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'Colormap',mat0, ...
	'CreateFcn',mat1, ...
	'FileName','D:\Programmi\MATLABR11\mfiles\HSST\Sviluppo\ACTs_data_wf.m', ...
	'MenuBar','none', ...
	'Name','Single acting actuator Block Parameters', ...
	'NumberTitle','off', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'Position',[47 86 725 465], ...
	'Tag','Fig1', ...
	'ToolBar','none');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.533333333333333 0.752941176470588 0.7215686274509801], ...
	'Callback',mat2, ...
	'ListboxTop',0, ...
	'Position',[237.1034482758621 34.13793103448277 63.93103448275863 22.96551724137932], ...
	'String','Close', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','edHnd=findobj(gcf,''Tag'',''Fig1'');close(edHnd)', ...
	'ListboxTop',0, ...
	'Position',[88.13793103448278 34.13793103448277 64.55172413793105 22.96551724137932], ...
	'String','Cancel', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback',mat3, ...
	'ListboxTop',0, ...
	'Position',[16.5 34.5 63.75 22.5], ...
	'String','Apply', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','web([''file:///''which(''help_acts.html'')]);', ...
	'ListboxTop',0, ...
	'Position',[162 34.13793103448277 64.55172413793105 22.96551724137932], ...
	'String','Help', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'ListboxTop',0, ...
	'Position',[9.75 110.25 426 171], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat4, ...
	'ListboxTop',0, ...
	'Position',[161.3793103448276 230.896551724138 53.37931034482759 12.41379310344828], ...
	'Style','edit', ...
	'Tag','Ed1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat5, ...
	'ListboxTop',0, ...
	'Position',[161.3793103448276 211.0344827586207 52.75862068965518 13.03448275862069], ...
	'Style','edit', ...
	'Tag','Ed2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat6, ...
	'String','Piston uncontrolled press. area  [m2]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat7, ...
	'String','Piston controlled pressure area [m2]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',mat8, ...
	'String','Parameters', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat9, ...
	'ListboxTop',0, ...
	'Position',mat10, ...
	'Style','edit', ...
	'Tag','Ed3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat11, ...
	'ListboxTop',0, ...
	'Position',[161.3793103448276 168.8275862068966 52.75862068965518 13.03448275862069], ...
	'Style','edit', ...
	'Tag','Ed4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat12, ...
	'ListboxTop',0, ...
	'Position',[161.3793103448276 147.1034482758621 52.75862068965518 13.03448275862069], ...
	'Style','edit', ...
	'Tag','Ed5');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat13, ...
	'ListboxTop',0, ...
	'Position',[370.5 229.5 52.5 12.75], ...
	'String','1e-15', ...
	'Style','edit', ...
	'Tag','Ed6');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat14, ...
	'ListboxTop',0, ...
	'Position',[370.5 208.5 52.5 12.75], ...
	'String','1e-15', ...
	'Style','edit', ...
	'Tag','Ed7');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat15, ...
	'ListboxTop',0, ...
	'Position',[370.5 187.5 52.5 12.75], ...
	'Style','edit', ...
	'Tag','Ed8');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat16, ...
	'ListboxTop',0, ...
	'Position',[370.5 166.5 52.5 12.75], ...
	'Style','edit', ...
	'Tag','Ed9');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat17, ...
	'ListboxTop',0, ...
	'Position',[370.5 144.75 54 13.5], ...
	'Style','edit', ...
	'Tag','Ed10');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat18, ...
	'String','Piston minimum stroke [m]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat19, ...
	'String','Piston maximum stroke  [m]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat20, ...
	'String','Piston mass  [kg]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[226.5 230.25 135 12], ...
	'String','Piston contr. press. lost volume  [m3]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[225.75 209.25 143.25 11.25], ...
	'String','Piston uncontr. press. lost volume  [m3]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[225.75 188.25 127.5 12], ...
	'String','Piston spring preload  [N]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[225.75 167.25 127.5 12], ...
	'String','Piston spring stiffness  [N/m]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[225.75 144.75 129.75 12], ...
	'String','Piston damping [N/(m/s)]', ...
	'Style','text', ...
	'Tag','StaticText1');
if nargout > 0, fig = h0; end
