function fig = ACTr_data()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
% This problem is solved by saving the output as a FIG-file.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.
% 
% NOTE: certain newer features in MATLAB may not have been saved in this
% M-file due to limitations of this format, which has been superseded by
% FIG-files.  Figures which have been annotated using the plot editor tools
% are incompatible with the M-file/MAT-file format, and should be saved as
% FIG-files.

load ACTr_data

h0 = figure('Color',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'Colormap',mat0, ...
	'CreateFcn',mat1, ...
	'FileName','D:\Programmi\MATLABR11\mfiles\HSST\Sviluppo\ACTr_data.m', ...
	'MenuBar','none', ...
	'Name','Rotary actuator Block Parameters', ...
	'NumberTitle','off', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'Position',[61 61 725 483], ...
	'Tag','Fig1', ...
	'ToolBar','none');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback',mat2, ...
	'ListboxTop',0, ...
	'Position',[237.1034482758621 34.13793103448277 63.93103448275863 22.96551724137932], ...
	'String','Close', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','edHnd=findobj(gcf,''Tag'',''Fig1'');close(edHnd)', ...
	'ListboxTop',0, ...
	'Position',[88.13793103448278 34.13793103448277 64.55172413793105 22.96551724137932], ...
	'String','Cancel', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback',mat3, ...
	'ListboxTop',0, ...
	'Position',[15.51724137931035 34.13793103448277 63.93103448275863 22.96551724137932], ...
	'String','Apply', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','web([''file:///''which(''help_actr.html'')]);', ...
	'ListboxTop',0, ...
	'Position',[162 34.13793103448277 64.55172413793105 22.96551724137932], ...
	'String','Help', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'ListboxTop',0, ...
	'Position',[11.17241379310345 80.0689655172414 427.0344827586208 201.7241379310345], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.86274509803921], ...
	'CreateFcn',mat4, ...
	'ListboxTop',0, ...
	'Position',[157.6551724137931 230.896551724138 53.37931034482759 12.41379310344828], ...
	'String','0', ...
	'Style','edit', ...
	'Tag','Ed1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat5, ...
	'String','Displacement [cm3/rev]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',mat6, ...
	'String','Parameters', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.86274509803921], ...
	'CreateFcn',mat7, ...
	'ListboxTop',0, ...
	'Position',mat8, ...
	'String','0', ...
	'Style','edit', ...
	'Tag','Ed3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.86274509803921], ...
	'CreateFcn',mat9, ...
	'ListboxTop',0, ...
	'Position',[157.0344827586207 191.7931034482759 52.75862068965518 13.03448275862069], ...
	'String','0', ...
	'Style','edit', ...
	'Tag','Ed4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.86274509803921], ...
	'CreateFcn',mat10, ...
	'ListboxTop',0, ...
	'Position',[157.0344827586207 170.0689655172414 52.75862068965518 13.03448275862069], ...
	'String','0', ...
	'Style','edit', ...
	'Tag','Ed5');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.86274509803921], ...
	'CreateFcn',mat11, ...
	'ListboxTop',0, ...
	'Position',[157.6551724137931 148.9655172413793 52.75862068965518 13.03448275862069], ...
	'String','1e-15', ...
	'Style','edit', ...
	'Tag','Ed6');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.86274509803921], ...
	'CreateFcn',mat12, ...
	'ListboxTop',0, ...
	'Position',[372.4137931034484 231.5172413793104 52.75862068965518 13.03448275862069], ...
	'String','0', ...
	'Style','edit', ...
	'Tag','Ed8');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.86274509803921], ...
	'CreateFcn',mat13, ...
	'ListboxTop',0, ...
	'Position',[372.4137931034484 210.4137931034483 52.75862068965518 13.03448275862069], ...
	'String','0', ...
	'Style','edit', ...
	'Tag','Ed9');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.86274509803921], ...
	'CreateFcn',mat14, ...
	'ListboxTop',0, ...
	'Position',mat15, ...
	'String','0', ...
	'Style','edit', ...
	'Tag','Ed10');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.86274509803921], ...
	'CreateFcn',mat16, ...
	'ListboxTop',0, ...
	'Position',[374.2758620689656 170.0689655172414 53.37931034482759 12.41379310344828], ...
	'String','0', ...
	'Style','edit', ...
	'Tag','Ed11');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.86274509803921], ...
	'CreateFcn',mat17, ...
	'ListboxTop',0, ...
	'Position',[374.2758620689656 148.3448275862069 52.75862068965518 13.03448275862069], ...
	'String','0', ...
	'Style','edit', ...
	'Tag','Ed12');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.86274509803921], ...
	'CreateFcn',mat18, ...
	'ListboxTop',0, ...
	'Position',mat19, ...
	'String','0', ...
	'Style','edit', ...
	'Tag','Ed13');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat20, ...
	'String','Minimum stroke [rad]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat21, ...
	'String','Maximum stroke  [rad]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat22, ...
	'String','Actuator inertia  [kgm2]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat23, ...
	'String','Minimum hydraulic volume  [m3]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat24, ...
	'String','Actuator spring preload  [Nm]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat25, ...
	'String','Actuator spring stiffness  [Nm/rad]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[224.25 189.75 129.75 12], ...
	'String','Actuator damping [Nm/(rad/s)]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat26, ...
	'String','Actuator leakage coeff. [(m3/s)/sqr(Pa)]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat27, ...
	'String','Actuator static friction force [Nm]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat28, ...
	'String','Actuator dynamic friction force [Nm]', ...
	'Style','text', ...
	'Tag','StaticText1');
if nargout > 0, fig = h0; end
