function fig = ACTs_data()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

load ACTs_data

h0 = figure('Color',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'Colormap',mat0, ...
	'CreateFcn',mat1, ...
	'MenuBar','none', ...
	'Name','Single acting actuator Block Parameters', ...
	'NumberTitle','off', ...
	'PointerShapeCData',mat2, ...
	'Position',[47 86 725 465], ...
	'Tag','Fig1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback',mat3, ...
	'ListboxTop',0, ...
	'Position',[237.1034482758621 34.13793103448277 63.93103448275863 22.96551724137932], ...
	'String','Close', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','edHnd=findobj(gcf,''Tag'',''Fig1'');close(edHnd)', ...
	'ListboxTop',0, ...
	'Position',[88.13793103448278 34.13793103448277 64.55172413793105 22.96551724137932], ...
	'String','Cancel', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback',mat4, ...
	'ListboxTop',0, ...
	'Position',[15.51724137931035 34.13793103448277 63.93103448275863 22.96551724137932], ...
	'String','Apply', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','web([''file:///''which(''help_acts.html'')]);', ...
	'ListboxTop',0, ...
	'Position',[162 34.13793103448277 64.55172413793105 22.96551724137932], ...
	'String','Help', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'ListboxTop',0, ...
	'Position',[12.41379310344828 70.13793103448278 426.4137931034484 201.7241379310345], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat5, ...
	'ListboxTop',0, ...
	'Position',[161.3793103448276 230.896551724138 53.37931034482759 12.41379310344828], ...
	'Style','edit', ...
	'Tag','Ed1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat6, ...
	'ListboxTop',0, ...
	'Position',[161.3793103448276 211.0344827586207 52.75862068965518 13.03448275862069], ...
	'Style','edit', ...
	'Tag','Ed2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat7, ...
	'String','Piston uncontrolled press. area  [m2]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat8, ...
	'String','Piston controlled pressure area [m2]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',mat9, ...
	'String','Parameters', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat10, ...
	'ListboxTop',0, ...
	'Position',mat11, ...
	'Style','edit', ...
	'Tag','Ed3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat12, ...
	'ListboxTop',0, ...
	'Position',[161.3793103448276 168.8275862068966 52.75862068965518 13.03448275862069], ...
	'Style','edit', ...
	'Tag','Ed4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat13, ...
	'ListboxTop',0, ...
	'Position',[161.3793103448276 147.1034482758621 52.75862068965518 13.03448275862069], ...
	'Style','edit', ...
	'Tag','Ed5');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat14, ...
	'ListboxTop',0, ...
	'Position',mat15, ...
	'Style','edit', ...
	'Tag','Ed6');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat16, ...
	'ListboxTop',0, ...
	'Position',mat17, ...
	'Style','edit', ...
	'Tag','Ed7');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat18, ...
	'ListboxTop',0, ...
	'Position',[372.4137931034484 231.5172413793104 52.75862068965518 13.03448275862069], ...
	'Style','edit', ...
	'Tag','Ed8');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat19, ...
	'ListboxTop',0, ...
	'Position',[372.4137931034484 210.4137931034483 52.75862068965518 13.03448275862069], ...
	'Style','edit', ...
	'Tag','Ed9');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat20, ...
	'ListboxTop',0, ...
	'Position',mat21, ...
	'Style','edit', ...
	'Tag','Ed10');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat22, ...
	'ListboxTop',0, ...
	'Position',[373.6551724137932 170.0689655172414 52.75862068965518 13.03448275862069], ...
	'Style','edit', ...
	'Tag','Ed12');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat23, ...
	'ListboxTop',0, ...
	'Position',[373.6551724137932 148.9655172413793 52.75862068965518 13.03448275862069], ...
	'Style','edit', ...
	'Tag','Ed13');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat24, ...
	'String','Piston minimum stroke [m]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat25, ...
	'String','Piston maximum stroke  [m]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat26, ...
	'String','Piston mass  [kg]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat27, ...
	'String','Piston contr. press. lost volume  [m3]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat28, ...
	'String','Piston uncontr. press. lost volume  [m3]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat29, ...
	'String','Piston spring preload  [N]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat30, ...
	'String','Piston spring stiffness  [N/m]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat31, ...
	'String','Piston damping [N/(m/s)]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat32, ...
	'String','Piston static friction force [N]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat33, ...
	'String','Piston dynamic friction force [N]', ...
	'Style','text', ...
	'Tag','StaticText1');
if nargout > 0, fig = h0; end
