function fig = Press_rid()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

load Press_rid

h0 = figure('Color',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'Colormap',mat0, ...
	'CreateFcn',mat1, ...
	'MenuBar','none', ...
	'Name','Pressure Reducer Block Parameters', ...
	'NumberTitle','off', ...
	'PointerShapeCData',mat2, ...
	'Position',[42 184 753 367], ...
	'Tag','Fig1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback',mat3, ...
	'ListboxTop',0, ...
	'Position',[236.4827586206897 14.27586206896552 63.93103448275863 22.96551724137932], ...
	'String','Close', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','edHnd=findobj(gcf,''Tag'',''Fig1'');close(edHnd)', ...
	'ListboxTop',0, ...
	'Position',[87.51724137931036 14.27586206896552 64.55172413793105 22.96551724137932], ...
	'String','Cancel', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback',mat4, ...
	'ListboxTop',0, ...
	'Position',mat5, ...
	'String','Apply', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','web([''file:///''which(''help_press_rid.html'')]);', ...
	'ListboxTop',0, ...
	'Position',[161.3793103448276 14.27586206896552 64.55172413793105 22.96551724137932], ...
	'String','Help', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'ListboxTop',0, ...
	'Position',[8.068965517241381 47.17241379310346 450.6206896551725 164.4827586206897], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat6, ...
	'ListboxTop',0, ...
	'Position',[173.1724137931035 171.9310344827587 53.37931034482759 12.41379310344828], ...
	'Style','edit', ...
	'Tag','Ed1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat7, ...
	'ListboxTop',0, ...
	'Position',[173.1724137931035 152.0689655172414 52.75862068965518 13.03448275862069], ...
	'Style','edit', ...
	'Tag','Ed2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat8, ...
	'String',' Nominal reduced pressure  [MPa]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[13.03448275862069 165.7241379310345 155.7931034482759 19.24137931034483], ...
	'String','Maximum flow thruogh the pressure reducer  [l/min]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',mat9, ...
	'String','Parameters', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat10, ...
	'String','Accumulator precharge temperature [C]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat11, ...
	'String','Accumulator gas constante  [J/kg K]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat12, ...
	'String','Accumulator gas specific heat (cv)  [J/Kkg]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat13, ...
	'String','Accum. heat exchanger coeff.  [W/K]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[237.7241379310345 144.6206896551724 150.8275862068966 21.72413793103449], ...
	'String','Hydraulic compliance (with accumulator discharged)  [m5/N]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat14, ...
	'String','Accumulator precharge volume  [l]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat15, ...
	'String','Accumulator precharge pressure   [MPa]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat16, ...
	'String','Maximum reduced pressure [MPa]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.509803921568627 0.749019607843137 0.701960784313725], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat17, ...
	'String','Accumulator initial liquid temperature [C]', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat18, ...
	'ListboxTop',0, ...
	'Position',[173.1724137931035 130.3448275862069 54.00000000000001 13.03448275862069], ...
	'Style','edit', ...
	'Tag','Ed10');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat19, ...
	'ListboxTop',0, ...
	'Position',[173.1724137931035 111.7241379310345 53.37931034482759 12.41379310344828], ...
	'Style','edit', ...
	'Tag','Ed11');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat20, ...
	'ListboxTop',0, ...
	'Position',[173.7931034482759 88.13793103448278 52.75862068965518 13.03448275862069], ...
	'Style','edit', ...
	'Tag','Ed3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat21, ...
	'ListboxTop',0, ...
	'Position',[173.1724137931035 67.65517241379313 52.75862068965518 13.03448275862069], ...
	'Style','edit', ...
	'Tag','Ed4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat22, ...
	'ListboxTop',0, ...
	'Position',[397.2413793103449 173.1724137931035 52.75862068965518 13.03448275862069], ...
	'Style','edit', ...
	'Tag','Ed5');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat23, ...
	'ListboxTop',0, ...
	'Position',mat24, ...
	'Style','edit', ...
	'Tag','Ed6');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat25, ...
	'ListboxTop',0, ...
	'Position',[397.8620689655173 129.1034482758621 52.75862068965518 13.03448275862069], ...
	'Style','edit', ...
	'Tag','Ed7');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat26, ...
	'ListboxTop',0, ...
	'Position',mat27, ...
	'Style','edit', ...
	'Tag','Ed8');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.776470588235294 0.882352941176471 0.862745098039216], ...
	'CreateFcn',mat28, ...
	'ListboxTop',0, ...
	'Position',[398.4827586206898 87.51724137931036 52.75862068965518 13.03448275862069], ...
	'Style','edit', ...
	'Tag','Ed9');
if nargout > 0, fig = h0; end
